Bug 1549917 - [3.7][Backport] internal image registry was down due to data race
Summary: [3.7][Backport] internal image registry was down due to data race
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.7.0
Assignee: Oleg Bulatov
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1549902
Blocks: 1549916
TreeView+ depends on / blocked
 
Reported: 2018-02-28 03:43 UTC by Kenjiro Nakayama
Modified: 2018-04-05 09:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: concurrent write to the cache. Consequence: panic occurs. Fix: protect write to the cache with mutex. Result: the cache is safe to use concurrently.
Clone Of: 1549902
Environment:
Last Closed: 2018-04-05 09:39:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:40:24 UTC

Comment 5 Dongbo Yan 2018-03-30 05:56:38 UTC
Verified
openshift v3.7.42
kubernetes v1.7.6+a08f5eeb62
etcd 3.2.8

Comment 9 errata-xmlrpc 2018-04-05 09:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.